	.text
	.global	tolower
	.type	tolower, @function
tolower:
	pushl	%ebp
	movl	%esp, %ebp
	cmpl	$64, 8(%ebp)
	jbe	do_nothing		# ch <= 64
	cmpl	$90, 8(%ebp)
	ja	do_nothing		# ch > 90
	movl	8(%ebp), %eax
	addl	$32, %eax		# %eax = ch + 32
	jmp	end
do_nothing:
	movl	8(%ebp), %eax
end:
	popl	%ebp
	ret
